LowFirstBitReader Class Reference

`#include <zinflate.h>`

## Public Member Functions

| LowFirstBitReader (BufferedTransformation &store)
unsigned int | BitsBuffered () const
unsigned long | PeekBuffer () const
bool | FillBuffer (unsigned int length)
unsigned long | PeekBits (unsigned int length)
void | SkipBits (unsigned int length)
unsigned long | GetBits (unsigned int length)

## Detailed Description

Since
  Crypto++ 1.0

Definition at line 17 of file zinflate.h.

## Constructor & Destructor Documentation

## LowFirstBitReader()

LowFirstBitReader::LowFirstBitReader | ( | BufferedTransformation & | store | ) |

inline

Definition at line 20 of file zinflate.h.

## Member Function Documentation

## BitsBuffered()

unsigned int LowFirstBitReader::BitsBuffered | ( |  | ) | const

inline

Definition at line 22 of file zinflate.h.

## PeekBuffer()

unsigned long LowFirstBitReader::PeekBuffer | ( |  | ) | const

inline

Definition at line 23 of file zinflate.h.

## FillBuffer()

bool LowFirstBitReader::FillBuffer | ( | unsigned int | length | ) |

inline

Definition at line 25 of file zinflate.cpp.

## PeekBits()

unsigned long LowFirstBitReader::PeekBits | ( | unsigned int | length | ) |

inline

Definition at line 39 of file zinflate.cpp.

## SkipBits()

void LowFirstBitReader::SkipBits | ( | unsigned int | length | ) |

inline

Definition at line 46 of file zinflate.cpp.

## GetBits()

unsigned long LowFirstBitReader::GetBits | ( | unsigned int | length | ) |

inline

Definition at line 53 of file zinflate.cpp.

The documentation for this class was generated from the following files:

- zinflate.h
- zinflate.cpp